commit:     9d4e19d24f5dd4599a46f6f920e6d293b0bf3566
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  1 18:21:57 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Mar  1 18:47:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d4e19d2

dev-ml/ulex: add ocamlbuild dep

Package-Manager: portage-2.2.27
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-ml/ulex/ulex-1.1.ebuild | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/dev-ml/ulex/ulex-1.1.ebuild b/dev-ml/ulex/ulex-1.1.ebuild
index 5ae79cb..a86c973 100644
--- a/dev-ml/ulex/ulex-1.1.ebuild
+++ b/dev-ml/ulex/ulex-1.1.ebuild
@@ -15,9 +15,10 @@ SLOT="0/${PV}"
 KEYWORDS="amd64 ppc x86"
 IUSE="+ocamlopt"
 
-DEPEND=">=dev-lang/ocaml-3.10.2:=[ocamlopt?]
-       || ( dev-ml/camlp4:= <dev-lang/ocaml-4.02.0 )"
-RDEPEND="${DEPEND}"
+RDEPEND=">=dev-lang/ocaml-3.10.2:=[ocamlopt?]
+       dev-ml/camlp4:="
+DEPEND="${RDEPEND}
+       || ( dev-ml/ocamlbuild <dev-lang/ocaml-4.02.3-r1 )"
 
 src_compile() {
        emake all

Reply via email to